#include<iostream>
#include<cmath>
using namespace std;

int main()
{
	int s[10000],i,n,a,b,j,k;
	cin>>n;
	for(i=0;i<=n-1;i++){
		cin>>a;
		s[i]=a;
		
	}
	for(j=0;j<=(n-1)/2;j++){
		b=s[j];
		s[j]=s[n-1-j];
		s[n-1-j]=b;
	}
	for(k=0;k<=n-1;k++){
		cout<<s[k]<<" ";
	}
	return 0;
}
